//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// FORMAT FUNCTIONS OF "NLFailure" STATIC CLASS — PUBLIC METHODS ("...Fmt"):
//
//==================================================================================================
// NativeLib::NLFailure:: >>
//==================================================================================================
// NativeLib DLL (for DotNetHelpers) | C+- (SysRoutine) | Author: Sergei Y.Kitáev

static bool SetErrorFmt($A, PCWSTR messageFmt, ... );
static bool SetErrorFmt($A, INT code $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, UINT uCode $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, INT code $optional, DWORD value $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, UINT uCode $optional, DWORD value $optional,
                            PCWSTR messageFmt, ... ) $ret_false;

static bool SetErrorFmt($A, NLErrorCat category $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, NLErrorCat category $optional, INT code $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, NLErrorCat category $optional, UINT uCode $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, NLErrorCat category $optional,
                            INT code $optional, DWORD value $optional,
                            PCWSTR messageFmt, ... ) $ret_false;
static bool SetErrorFmt($A, NLErrorCat category $optional,
                            UINT uCode $optional, DWORD value $optional,
                            PCWSTR messageFmt, ... ) $ret_false;

//--------------------------------------------------------------------------------------------------

static bool SetArgumentErrorFmt($A, PCWSTR messageFmt, ... ) $ret_false;

static bool SetSpecialErrorFmt($A, PCWSTR messageFmt, ... );
static bool SetSpecialErrorFmt($A, INT code $optional,
                                   PCWSTR messageFmt, ... ) $ret_false;
static bool SetSpecialErrorFmt($A, UINT uCode $optional,
                                   PCWSTR messageFmt, ... ) $ret_false;
static bool SetSpecialErrorFmt($A, INT code $optional, DWORD value $optional,
                                   PCWSTR messageFmt, ... ) $ret_false;
static bool SetSpecialErrorFmt($A, UINT uCode $optional, DWORD value $optional,
                                   PCWSTR messageFmt, ... ) $ret_false;

//--------------------------------------------------------------------------------------------------

static bool SetSystemErrorFmt($A, PCWSTR messageFmt, ... ) $ret_false;

static bool SetWin32ErrorFmt($A, DWORD dwError, PCWSTR headerMessageFmt, ... ) $ret_false;

static bool SetCOMErrorFmt($A, HRESULT hResult, PCWSTR headerMessageFmtFmt, ... ) $ret_false;

static bool SetFromLastRTErrorFmt($A, PCWSTR headerMessageFmt, ... ) $ret_false;

//==================================================================================================
